Bug 24335 - Cannot mark checkout notes seen/not seen in bulk
Summary: Cannot mark checkout notes seen/not seen in bulk
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24337
  Show dependency treegraph
 
Reported: 2020-01-02 19:40 UTC by Andrew Fuerste-Henry
Modified: 2020-01-13 23:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24335: Cannot mark checkout notes seen/not seen in bulk (3.60 KB, patch)
2020-01-03 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24335: Cannot mark checkout notes seen/not seen in bulk (3.66 KB, patch)
2020-01-03 19:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24335: Cannot mark checkout notes seen/not seen in bulk (3.73 KB, patch)
2020-01-10 09:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-02 19:40:04 UTC
On checkout-notes.pl the Mark Seen and Mark Not Seen buttons at the top of the page remain greyed out when one selects notes from the list.

To test:
- turn on AllowCheckoutNotes
- generate a checkout and a checkout note
- go to /cgi-bin/koha/circ/checkout-notes.pl
- click the checkbox for your note
- verify that the Mark Seen button at the top of the screen remains grey and inoperable
Comment 1 Owen Leonard 2020-01-03 18:49:08 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-01-03 19:42:10 UTC Comment hidden (obsolete)
Comment 3 Andrew Fuerste-Henry 2020-01-03 19:42:54 UTC
Patch worked for me, thanks!
Comment 4 Jonathan Druart 2020-01-10 09:40:42 UTC
Created attachment 97172 [details] [review]
Bug 24335: Cannot mark checkout notes seen/not seen in bulk

This patch changes the way checkbox events are handled on the checkout
notes page so that checking a checkbox enables the batch operation
controls.

Note: The addition of a "markseen" class is a preventative measure to
avoid future problems where using the "btn-small" class might not be
specific enough.

To test you should have multiple checkout notes to work with, both seen
and unseen. Apply the patch and go to "Checkout notes pending" from the
staff client home page.

 - Check any checkbox. The "Mark seen" and "Mark not seen" should go
   from disabled to enabled.
   - Test that the buttons work correctly.
 - Click the "Select all" and "Clear all" controls and confirm that the
   buttons are enabled and disabled correctly.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-01-10 10:51:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-12 19:13:16 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-13 23:31:40 UTC
backported to 19.05.x for 19.05.07